"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Authors(object):
    """
    Predefined authors.  * `tiering`: the author for tiered report events
    * `clinical`: the author for pedigrees and cancer participants
    Other data will have custom authors corresponding to
    interpretation services or to clinicians.
    """

    tiering = "tiering"
    clinical = "clinical"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.1.0"
